Bug 749299 - Review Request: lcgdm-dav - HTTP/DAV frontend to the DPM/LFC services
Review Request: lcgdm-dav - HTTP/DAV frontend to the DPM/LFC services
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-26 12:54 EDT by Ricardo Rocha
Modified: 2012-01-05 15:35 EST (History)
4 users (show)

See Also:
Fixed In Version: lcgdm-dav-0.5.4-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-30 17:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
steve.traylen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ricardo Rocha 2011-10-26 12:54:41 EDT
Spec URL: http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav.spec
SRPM URL: http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav-0.5.0-1.src.rpm
Description: 
This package provides the HTTP/DAV frontend to the LCGDM components
(DPM and LFC).

The Disk Pool Manager (DPM) is a lightweight grid storage component, allowing
access to data using commonly used grid protocols. The LCG File Catalog (LFC)
is the main catalog being used by grid communities for both file bookkeeping
and metadata.

This is part of my first set of packages, and I am looking for a sponsor. 

Other packages i'm submitting in this first bunch cover the bits of the DPM and
LFC components not yet available in Fedora/EPEL - the core components are
already built in Fedora (see lcgdm). 

This is part of a more general effort to get software already available and
packaged in the EMI project (http://www.eu-emi.eu/) directly available in the
main distributions.
Comment 1 Steve Traylen 2011-11-02 17:28:41 EDT
For the purposes of process bug #749132 details the sponsorship of you.

Quick parse:
1) Please include details of how the tar ball is created.
2) BuildRequires:  autoconf%{?_isa}
BuildRequires:  automake%{?_isa}

makes no sense since they noarch, all the isa tags are probably
over kill but certainly these two are wrong.

3) There is no such package on curl-devel on newer than RHEL5, even if it
   is satisfied by obsoleted provides possible. Use a dist tag to be more
   exact. Eventually libcurl-devel should drop the curl-devel

%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif

  is what I use.

4) You have excessive BuildRequires, e.g (lib)curl-devel requires
   pkgconfig so there is no need to specify it. Similarly gridsite-devel
   requires openssl-devel, there are probably others.

   This probably goes for some of your other packages, if you can trim
   them down preferably to the minimum the better.
    

5) BuildRequires:  libtool%{?_isa} you have twice.
6) On the libs package you almost certainly don't need
   Requires:       curl%{?_isa}
   Requires:       gridsite-libs%{?_isa} >= 1.7
   Requires:       gsoap%{?_isa}
   Requires:       openssl%{?_isa}

   since they will auto generated as .so requirements. Check other sub package
   as well.

7) Pointless comment: #cd build
   %post devel -p /sbin/ldconfig
   %postun devel -p /sbin/ldconfig
   almost certainly not needed, should show up in a rpmlint.

8) Duplication of 
   %doc README LICENSE
   in at least devel and libs package.

9) %{_sysconfdir}/init.d/lcgdm-dav
   is presumably an init.d script so should be in /etc/rc.d/init.d
http://fedoraproject.org/wiki/Packaging:SysVInitScript#Initscripts_on_the_filesystem

10) rpmlint items:
    rpmlint seems to fail on For the purposes of process bug #749132 details the sponsorship of you.

Quick parse:
1) Please include details of how the tar ball is created.
2) BuildRequires:  autoconf%{?_isa}
BuildRequires:  automake%{?_isa}

makes no sense since they noarch, these are probably all over kill but 
certainly these two are wrong.

3) There is no such package on curl-devel on newer than RHEL5, even if it
   is satisfied by obsoleted provides possible. Use a dist tag to be more
   exact. Eventually libcurl-devel should drop the curl-devel

%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif

  is what I use.

4) You have excessive BuildRequires, e.g (lib)curl-devel requires
   pkgconfig so there is no need to specify it. Similarly gridsite-devel
   requires openssl-devel, there are probably others.

   This probably goes for some of your other packages, if you can trim
   them down preferably to the minimum the better.
    

5) BuildRequires:  libtool%{?_isa} you have twice.
6) On the libs package you almost certainly don't need
   Requires:       curl%{?_isa}
   Requires:       gridsite-libs%{?_isa} >= 1.7
   Requires:       gsoap%{?_isa}
   Requires:       openssl%{?_isa}

   since they will auto generated as .so requirements. Check other sub package
   as well.

7) Pointless comment: #cd build
   %post devel -p /sbin/ldconfig
   %postun devel -p /sbin/ldconfig
   almost certainly not needed, should show up in a rpmlint.

8) Duplication of 
   %doc README LICENSE
   in at least devel and libs package.

9) %{_sysconfdir}/init.d/lcgdm-dav
   is presumably an init.d script so should be in /etc/rc.d/init.d
http://fedoraproject.org/wiki/Packaging:SysVInitScript#Initscripts_on_the_filesystem

# rpmlint items:
10) Fails on http://svnweb.cern.ch/trac/lcgdm, switch to https since
    its a permanent 301 relocation.

Am surprised that rpmlint does not complain about
$ rpm -qp --scripts  lcgdm-dav-devel-0.5.0-1.fc15.x86_64.rpm 
postinstall program: /sbin/ldconfig
postuninstall program: /sbin/ldconfig

http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries

11) lcgdm-dav-debuginfo.x86_64: E: debuginfo-without-sources

Hmm indeed they are not there, see:

rpmlint -I debuginfo-without-sources

for info and indeed despite %{cmake} being used it's seems something
inside mangled your cflags and you built with

/usr/bin/gcc  -Dlcgdmhtext_EXPORTS -D_LARGEFILE64_SOURCE -D_REENTRANT -DNSTYPE_DPNS -Wall -fPIC -I/usr/include/httpd -I/usr/include/apr-1 -I/usr/include/lcgdm -I/usr/include/dpm -I/home/steve/rpmbuild/BUILD/lcgdm-dav-0.5.0/client   -o CMakeFiles/lcgdmhtext.dir/htext_common.c.o   -c /home/steve/rpmbuild/BUILD/lcgdm-dav-0.5.0/client/htext_common.c

which is not

http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags
Comment 2 Ricardo Rocha 2011-11-04 12:58:51 EDT
(In reply to comment #1)
> For the purposes of process bug #749132 details the sponsorship of you.
> 
> Quick parse:
> 1) Please include details of how the tar ball is created.

Fixed.

> 2) BuildRequires:  autoconf%{?_isa}
> BuildRequires:  automake%{?_isa}
> 
> makes no sense since they noarch, these are probably all over kill but 
> certainly these two are wrong.

Actually they're not needed at all, it's a leftover from a previous spec. Removed.
 
> 3) There is no such package on curl-devel on newer than RHEL5, even if it
>    is satisfied by obsoleted provides possible. Use a dist tag to be more
>    exact. Eventually libcurl-devel should drop the curl-devel
> 
> %if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
> BuildRequires:  libcurl-devel
> %else
> BuildRequires:  curl-devel
> %endif
> 
>   is what I use.

Cool thanks. I was submitting koji builds to el5/epel only, guess i have to do it for more than that before putting any specs here.

> 
> 4) You have excessive BuildRequires, e.g (lib)curl-devel requires
>    pkgconfig so there is no need to specify it. Similarly gridsite-devel
>    requires openssl-devel, there are probably others.
> 
>    This probably goes for some of your other packages, if you can trim
>    them down preferably to the minimum the better.

Makes sense. I've cleaned it up with what looks to me like the minimum.
 
> 5) BuildRequires:  libtool%{?_isa} you have twice.

Fixed.

> 6) On the libs package you almost certainly don't need
>    Requires:       curl%{?_isa}
>    Requires:       gridsite-libs%{?_isa} >= 1.7
>    Requires:       gsoap%{?_isa}
>    Requires:       openssl%{?_isa}
> 
>    since they will auto generated as .so requirements. Check other sub package
>    as well.

Removed.

For the server it's a dependency on the httpd (the daemon) and gridsite (for the delegation portType). So i believe they're needed.

And i left the ones for the -devel.

> 7) Pointless comment: #cd build
>    %post devel -p /sbin/ldconfig
>    %postun devel -p /sbin/ldconfig
>    almost certainly not needed, should show up in a rpmlint.

Actually it doesn't.

Shouldn't i do this? It does provide the .so link.

> 8) Duplication of 
>    %doc README LICENSE
>    in at least devel and libs package.

Removed (i was going to swear i had a rpmlint W before, but i'm not getting one now).

> 9) %{_sysconfdir}/init.d/lcgdm-dav
>    is presumably an init.d script so should be in /etc/rc.d/init.d
> http://fedoraproject.org/wiki/Packaging:SysVInitScript#Initscripts_on_the_filesystem

Ups, sorry. Missed that one.

> # rpmlint items:
> 10) Fails on http://svnweb.cern.ch/trac/lcgdm, switch to https since
>     its a permanent 301 relocation.
> 
> Am surprised that rpmlint does not complain about
> $ rpm -qp --scripts  lcgdm-dav-devel-0.5.0-1.fc15.x86_64.rpm 
> postinstall program: /sbin/ldconfig
> postuninstall program: /sbin/ldconfig
> 
> http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries

I don't get it. Should i remove this from the devel package? From the docs anything providing a shared library (or symlink) should invoke this?

> 11) lcgdm-dav-debuginfo.x86_64: E: debuginfo-without-sources
> 
> Hmm indeed they are not there, see:
> 
> rpmlint -I debuginfo-without-sources
> 
> for info and indeed despite %{cmake} being used it's seems something
> inside mangled your cflags and you built with
> 
> /usr/bin/gcc  -Dlcgdmhtext_EXPORTS -D_LARGEFILE64_SOURCE -D_REENTRANT
> -DNSTYPE_DPNS -Wall -fPIC -I/usr/include/httpd -I/usr/include/apr-1
> -I/usr/include/lcgdm -I/usr/include/dpm
> -I/home/steve/rpmbuild/BUILD/lcgdm-dav-0.5.0/client   -o
> CMakeFiles/lcgdmhtext.dir/htext_common.c.o   -c
> /home/steve/rpmbuild/BUILD/lcgdm-dav-0.5.0/client/htext_common.c
> 
> which is not
> 
> http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

I've spent some time looking at this one and couldn't find where it's happening. I'll put a new comment as soon as i find it, and a new version of spec/srcrpm for review.

Thanks.
Comment 3 Ricardo Rocha 2011-11-07 13:20:22 EST
Hi.

New spec and source rpm.

Spec URL: http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav.spec
SRPM URL: http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav-0.5.0-2.src.rpm

Fixes most issues above, but introduces the no-documentation warning from rpmlint due to removing the %doc from server and devel (still don't get it how it should be, at least -devel has an explicit dependency on libs which holds the %doc).

Still issue with debuginfo-without-sources, i'm looking at it.

Cheers.
Comment 4 Ricardo Rocha 2011-11-07 14:17:06 EST
Issue with debuginfo-without-sources fixed upstream in version 0.5.1.

I've updated both the spec and the source rpm to take the new tag.

Spec URL: http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav.spec
SRPM URL: http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav-0.5.1-1.src.rpm

Please take this new source/spec instead of the previous one.

Thanks.
Comment 6 Steve Traylen 2011-12-04 13:49:45 EST
OLD:

Just to summarize what is left from above to be resolved:

The -devel package has scriptlets of 

postinstall program: /sbin/ldconfig
postuninstall program: /sbin/ldconfig

and I think it should not despite containing a .so file. I need to look some more.

NEW:

lcgdm-dav-0.5.1-1.el6.x86_64  requires ' liblcgdmhtext.so.0()(64bit)' only.
but not  'lcgdm-dav-libs'

Please add a 

Requires: lcgdm-dav-libs = %{version}-%{release}%{?isa}

explicitly, check for others, e.g devel probably requires libs. Inter  package
dependencies should be exact and not rely on autorequires. The last thing you want is some hybrid of versions out there in the wild.

Now something that seems conceptually odd to me?

 /etc/rc.d/init.d/lcgdm-dav 

appears to run standard httpd with a custom configuration. This is a new concept to me, I have not see else where.

Having multiple start up scripts start up deamons in different ways seems odd?
Why is this not just a virtual host configuration in /etc/httpd/conf.d? It's essentially a web site/application isn't it?



Steve.
Comment 7 Steve Traylen 2011-12-04 13:58:51 EST
More over:

# service lcgdm-dav start
Starting httpd: httpd.worker: Syntax error on line 33 of /etc/lcgdm-dav/conf/httpd.conf: Syntax error on line 4 of /etc/lcgdm-dav/conf.d/lcgdm-dav.conf: Cannot load /usr/lib64/httpd/modules/mod_lcgdm_provider.so into server: /usr/lib64/httpd/modules/mod_lcgdm_provider.so: undefined symbol: SSL_SESSION_hash
                                                           [FAILED]

this is on Cento6 + CR + EPEL.

Steve.
Comment 8 Mattias Ellert 2011-12-04 16:33:34 EST
(In reply to comment #6)
> OLD:
> 
> Just to summarize what is left from above to be resolved:
> 
> The -devel package has scriptlets of 
> 
> postinstall program: /sbin/ldconfig
> postuninstall program: /sbin/ldconfig
> 
> and I think it should not despite containing a .so file. I need to look some
> more.

Guidelines say:

"every binary RPM package which contains shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun"

The .so in the devel package is a symlink - so ldconfig should not be called in the scriptlets for the devel package.

> Now something that seems conceptually odd to me?
> 
>  /etc/rc.d/init.d/lcgdm-dav 
> 
> appears to run standard httpd with a custom configuration. This is a new
> concept to me, I have not see else where.
> 
> Having multiple start up scripts start up daemons in different ways seems odd?
> Why is this not just a virtual host configuration in /etc/httpd/conf.d? It's
> essentially a web site/application isn't it?

I agree this looks really odd. The normal thing is to add a configuration file in /etc/httpd/conf.d and run services in the standard httpd instance that is started by the httpd start-up script.
Comment 9 Ricardo Rocha 2011-12-06 05:49:48 EST
Hi.

Thanks for the checks, see below.

(In reply to comment #6)
> OLD:
> 
> Just to summarize what is left from above to be resolved:
> 
> The -devel package has scriptlets of 
> 
> postinstall program: /sbin/ldconfig
> postuninstall program: /sbin/ldconfig
> 
> and I think it should not despite containing a .so file. I need to look some
> more.

Fixed. I still read it the other way from time to time in the guidelines - i'm not a native speaker, but the "(not just symlinks)" part looks confusing.

> 
> NEW:
> 
> lcgdm-dav-0.5.1-1.el6.x86_64  requires ' liblcgdmhtext.so.0()(64bit)' only.
> but not  'lcgdm-dav-libs'
> 
> Please add a 
> 
> Requires: lcgdm-dav-libs = %{version}-%{release}%{?isa}
> 
> explicitly, check for others, e.g devel probably requires libs. Inter  package
> dependencies should be exact and not rely on autorequires. The last thing you
> want is some hybrid of versions out there in the wild.

Done for server and client, devel had it already.

> Now something that seems conceptually odd to me?
> 
>  /etc/rc.d/init.d/lcgdm-dav 
> 
> appears to run standard httpd with a custom configuration. This is a new
> concept to me, I have not see else where.
> 
> Having multiple start up scripts start up deamons in different ways seems odd?
> Why is this not just a virtual host configuration in /etc/httpd/conf.d? It's
> essentially a web site/application isn't it?

Sorry about this, it was a left over from a previous version of the package. Fixed now to have a lcgdm-dav.conf in conf.d as it should be.

Other changes made:

- added man page for htcopy tool (a small wrapper around libcurl for multi stream transfers, credential delegation, third party copies, etc)
- added missing dependency on mod_ssl
- changed preun/postun to handle httpd (please double check if it's the correct way though, stop on preun, condrestart on postun)

Thanks.

New srpm/spec:
http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav.spec
http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav-0.5.2-1.src.rpm

koji builds (success):
https://koji.fedoraproject.org/koji/taskinfo?taskID=3569404 (5E)
https://koji.fedoraproject.org/koji/taskinfo?taskID=3569408 (6E)
https://koji.fedoraproject.org/koji/taskinfo?taskID=3569412 (F16)
Comment 10 Ricardo Rocha 2011-12-06 05:51:46 EST
Forgot to mention that the upstream release fixes the issue with the missing openssl symbol - it had been tested in EL5/EPEL only, where openssl < 1.0.

With openssl 1.0 SSL_SESSION_hash and other SSL_SESSION_* went away, the new patch release provides support for both pre and post 1.0 openssl.
Comment 11 Steve Traylen 2011-12-07 14:35:19 EST
Hi,
The explicit 

%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif

on devel package is not needed, it's there on the main package which
is good enough.

Regarding the static html files

/var/www/css
/var/www/css/lcgdm-dav.css
/var/www/icons
/var/www/icons/dpm20.png

these are a web application so move them to 

/usr/share/lcgdm-dav 

and update alias to use them.

http://fedoraproject.org/wiki/Packaging:Guidelines#Web_Applications

Also the httpd configuration takes of the web server with

<Location />
   DAV dpm
</Location>

so now everything is dpmdav regardless of what else is installed.

could this be restricted to some default path prefix?

Also the configuration contains:

ProxyCache /var/proxycache

this directory does not exist but more importantly it if is needed
it should be in /var/lib/lcgdpm-dav or something.

Steve.
Comment 12 Steve Traylen 2011-12-07 14:41:12 EST
You asked about the scripts:

%preun server
if [ $1 -eq 0 ] ; then
        /sbin/service httpd stop > /dev/null 2>&1
fi

%postun server
if [ $1 -ge 1 ]; then
        /sbin/service httpd condrestart > /dev/null 2>&1 || :
fi


so definitely the server should not be stopped on removal since it may
well be doing another job as well.

In all cases a 

service httpd reload

is really what you want.

Finally you load modules that are already loaded which results in an
ugly warning at start up.

# service httpd start
Starting httpd: [Wed Dec 07 20:39:10 2011] [warn] module dav_module is already loaded, skipping
[Wed Dec 07 20:39:10 2011] [warn] module dav_fs_module is already loaded, skipping
[Wed Dec 07 20:39:10 2011] [warn] module deflate_module is already loaded, skipping
[Wed Dec 07 20:39:10 2011] [warn] module expires_module is already loaded, skipping
[Wed Dec 07 20:39:10 2011] [warn] module ssl_module is already loaded, skipping
[Wed Dec 07 20:39:10 2011] [warn] module gridsite_module is already loaded, skipping

I appreciate you may need to do some ordering here in /etc/httpd/conf.d by renaming. It's also possible to conditionally load modules that are not loaded.

Steve.
Comment 13 Ricardo Rocha 2011-12-08 06:09:12 EST
Hi.

(In reply to comment #11)
> Hi,
> The explicit 
> 
> %if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
> BuildRequires:  libcurl-devel
> %else
> BuildRequires:  curl-devel
> %endif
> 
> on devel package is not needed, it's there on the main package which
> is good enough.

Removed.

> Regarding the static html files
> 
> /var/www/css
> /var/www/css/lcgdm-dav.css
> /var/www/icons
> /var/www/icons/dpm20.png
> 
> these are a web application so move them to 
> 
> /usr/share/lcgdm-dav 
> 
> and update alias to use them.
> 
> http://fedoraproject.org/wiki/Packaging:Guidelines#Web_Applications

In fact they were there before, i just thought it would be better in /var/www (should have double checked the guidelines). Moved to /usr/share/lcgdm-dav as suggested.

> Also the httpd configuration takes of the web server with
> 
> <Location />
>    DAV dpm
> </Location>
> 
> so now everything is dpmdav regardless of what else is installed.
> 
> could this be restricted to some default path prefix?

Changed to:

<Location /dpm>
  DAVBase /dpm

which only enables the app for /dpm paths, and add /dpm to any relative path so that we build the full DPM namespace when contacting the nameserver.

It works... the only disadvantage is that you can only start the listing from /dpm, you cannot list / anymore - not very serious though, as /dpm is mandated for all installations.

> Also the configuration contains:
> 
> ProxyCache /var/proxycache
> 
> this directory does not exist but more importantly it if is needed
> it should be in /var/lib/lcgdpm-dav or something.

This is hard-coded in the gridsite delegation cgi, nothing we can do about it (i can submit a bug though). This is an optional feature though, it won't be used if no gridsite-delegation is installed.

In addition:
- scriplets reload httpd now
- modules are loaded conditionally

But for the modules even conditional loading is not perfect, as for example SSL is loaded by lcgdm-dav (triggered first and it has to be there for the lcgdm-dav provider to be able to load), but ssl.conf does not conditionally load, so you still get the warning.

I don't think renaming the conf file to zlcgdm-dav.conf is a very good idea to prevent this - other people would do the same and it wouldn't look very nice.

New spec and src rpm:
http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav.spec
http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav-0.5.3-1.src.rpm

Koji builds as soon as koji works again.

Thanks,
  Ricardo
Comment 14 Ricardo Rocha 2011-12-08 09:40:56 EST
Hi again.

Here's another version with the fixes discussed offline.

http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav.spec
http://rocha.web.cern.ch/rocha/fedora/lcgdm-dav-0.5.4-1.src.rpm

Fixes done:

- lcgdm-dav.conf renamed to zlcgdm-dav.conf to make sure it's loaded in order (following other packages doing the same way)
- SSL* directives commented out (with instructions on how to enable them)
- removed scriptlets (i gave up :-) and followed the others not doing it)

Thanks,
  Ricardo
Comment 15 Steve Traylen 2011-12-19 11:02:31 EST
APPROVED
Comment 16 Ricardo Rocha 2011-12-19 11:36:33 EST
New Package SCM Request
=======================
Package Name: lcgdm-dav
Short Description: This package provides the HTTP/DAV frontend to the LCGDM components (DPM and LFC).
Owners: rocha
Branches: f16 el5 el6
InitialCC:
Comment 17 Jon Ciesla 2011-12-19 13:26:11 EST
Git done (by process-git-requests).
Comment 18 Fedora Update System 2011-12-19 14:22:23 EST
lcgdm-dav-0.5.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lcgdm-dav-0.5.4-1.el6
Comment 19 Fedora Update System 2011-12-19 14:22:32 EST
lcgdm-dav-0.5.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lcgdm-dav-0.5.4-1.fc16
Comment 20 Fedora Update System 2011-12-19 14:22:41 EST
lcgdm-dav-0.5.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lcgdm-dav-0.5.4-1.el5
Comment 21 Fedora Update System 2011-12-20 15:05:08 EST
lcgdm-dav-0.5.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 22 Fedora Update System 2011-12-30 17:54:30 EST
lcgdm-dav-0.5.4-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 23 Fedora Update System 2012-01-05 15:31:11 EST
lcgdm-dav-0.5.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 24 Fedora Update System 2012-01-05 15:35:15 EST
lcgdm-dav-0.5.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.